2017-12-18 02:33 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001739v3.4 Release (Cleanup)Project Designerpublic2017-10-29 15:32
Reporteropto 
Assigned Toopto 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001739: User Priority broken
DescriptionUser A owns task and is assigned. B is viewing the task.

A sets his user priority. On refresh on B's PC, (his) UP is set -> bug.
B cannot set his UP.

A assigns B to task. All UP is reset to normal. -> bug.
Now: A cannot set his UP. But B can set his UP.
If A refreshes screen, user B's UP is displayed as his UP.

If I remember correctly, A and B should be totally discoupled with respect to UP.
Both can set theirs individually, and it is only displayed to them.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003892

opto (manager)

the user priority table stores all UP with user_id.
getTaskTree has a joint for table user_tasks, but no addwhere for user id.
So always, the first table row for the task is shown. It might belong to the user being displayed, or it might not.
Thus, the confusion in displaying UP in project designer.
 

~0003895

opto (manager)

the fix caused a regression.

So: still not fixed

~0003897

opto (manager)

new try: add and with user_id into join:
        $q->addJoin('user_tasks', 'ut', 'ut.task_id = tasks.task_id AND ut.user_id = '.$this->_AppUI->user_id );

otherwise, the first record of ut with the task id is shown, but not necessarily the one for this user
+Notes

-Issue History
Date Modified Username Field Change
2017-09-27 01:34 opto New Issue
2017-10-28 00:07 opto Assigned To => opto
2017-10-28 00:07 opto Status new => resolved
2017-10-28 00:07 opto Resolution open => fixed
2017-10-28 00:07 opto Note Added: 0003892
2017-10-29 11:51 opto Status resolved => confirmed
2017-10-29 11:51 opto Note Added: 0003895
2017-10-29 15:32 opto Status confirmed => resolved
2017-10-29 15:32 opto Note Added: 0003897
+Issue History